@import "@/styles/variables";

.main {
    padding: 4rem 0 0;
    display: grid;
    margin: 0 auto;
    grid-template-columns: repeat(12, 1fr);
    width: 100%;

    @include tablet {
        padding: 6rem 0 0;
        height: max-content;
    }

    @include notebook {
        grid-template-rows: 1fr auto;
    }

    .container {
        padding: 0 $padding-sm;
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: repeat(12, 1fr);
        grid-template-rows: 1fr auto;
        gap: 2rem 1rem;
        margin-bottom: 4rem;
        width: 100%;

        @include notebook {
            max-width: $max-inner-width;
            margin: 0 auto;
            margin-bottom: 4rem;
            grid-template-rows: max-content fit-content auto;
            height: fit-content;
        }

        @include desktop {
            padding: 0;
        }

        .color-link {
            grid-column: 1 / -1;
            margin-bottom: 2rem;
            z-index: 5;

            @include notebook {
                grid-column: 2 / -2;
                margin-bottom: 4rem;
            }
        }
    }
}
